<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		margin:0;
		height:100vh;
	}
	.top-nav{
		position: fixed;
		width: 90vw;
		display: flex;
		justify-content: space-between;
		padding:0 5vw;
		align-items: center;
		height: 8vh;
		transition: .3s;
	}
	.nav-items{
		width:30%;
		justify-content: space-between;
		display: flex;
	}
	section{
		height:100vh;
		width: 100%;
	}
	.welcome{
		background:url('./bg2.jpg') fixed center;
		background-size: cover;
	}
	.about{
		background:coral;
		display: flex;
		justify-content: center;
		align-items: center;
		text-align: center;s
	}
	#lel{

		height: 600px;
		width: 850px;
		background: pink;
		color: coral;
		font-size: 4em;
		display: flex;
		justify-content: center;
		align-items: center;
		animation:in .3s;


	}
		.services{
		background:url('./bg.jpg') fixed center;
		background-size: cover;
	}
	#scrollvalue{
		height:50px;
		width:150px;
		position: fixed;
		background:white;
		border:1px solid red;
		bottom:0;
		right:0;
		z-index: 99
	}
	@keyframes in{
		from{
			opacity: 0;
			transform: translateX(600px);
		}
		to{
			opacity: 1;
			transform: translateY(0px;);
		}
	}
</style>
<body>
	<div id="scrollvalue"></div>	
<div class="top-nav" id="topNav">
	<div class="logo">Logo</div>
	<div class="nav-items">
		<div class="navitem">Home</div>
		<div class="navitem">About</div>
		<div class="navitem">Services</div>
		<div class="navitem">Contacts</div>
	</div>
</div>
<section class="welcome"></section>
<section class="about">
	<div id="lel"><span>Hello from the other side!!!</span></div>
</section>
<section class="services"></section>
</body>
<script type="text/javascript">
	// document.getElementById('hahaha').addEventListener('click', bgcolorchange);
	window.addEventListener('scroll', function (e){
		let scrollValue=window.pageYOffset;
		document.getElementById('scrollvalue').innerText= scrollValue;
		if(scrollValue>300){
			console.log('asdasd');
		document.getElementById('topNav').style.backgroundColor= "rgba(0,0,0,0.7)";
		document.getElementById('topNav').style.color= "white";
		}else{
	    document.getElementById('topNav').style.backgroundColor= "transparent";
		document.getElementById('topNav').style.color= "black";
		}
		if(scrollValue>700&&scrollValue<1200)
			document.getElementById('lel').style.display="flex";
		else
			document.getElementById('lel').style.display="none";
	});

	// function bgcolorchange(){
	// 	document.body.style.backgroundColor= "red"
	// }
</script>
</html>